Bug 1457748 (CVE-2017-1000369) - CVE-2017-1000369 Exim: Privilege escalation via multiple memory leaks
Summary: CVE-2017-1000369 Exim: Privilege escalation via multiple memory leaks
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-1000369
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1463539 1463540 1463541
Blocks: 1449010
TreeView+ depends on / blocked
 
Reported: 2017-06-01 08:55 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 14:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:13:56 UTC


Attachments (Terms of Use)
Upstream proposed patch (1.70 KB, patch)
2017-06-01 09:08 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff

Description Huzaifa S. Sidhpurwala 2017-06-01 08:55:57 UTC
Several memory leak flaws were found in Exim. A local attacker who has access to run the exim binary could use this flaw to escalate his privilege to root.

Comment 2 Huzaifa S. Sidhpurwala 2017-06-01 09:08:11 UTC
Created attachment 1284052 [details]
Upstream proposed patch

Comment 6 Huzaifa S. Sidhpurwala 2017-06-21 08:21:17 UTC
Upstream commit:

https://github.com/Exim/exim/commit/65e061b76867a9ea7aeeb535341b790b90ae6c21

Comment 7 Huzaifa S. Sidhpurwala 2017-06-21 08:24:12 UTC
Statement:

Exim itself is not vulnerable to privilege escalation, but this particular flaw in exim can be used by the stackguard vulnerability (https://access.redhat.com/security/vulnerabilities/stackguard) to achieve privilege escalation.

Comment 8 Huzaifa S. Sidhpurwala 2017-06-21 08:27:33 UTC
Created exim tracking bugs for this issue:

Affects: fedora-all [bug 1463539]
Affects: epel-6 [bug 1463540]
Affects: epel-7 [bug 1463541]


Note You need to log in before you can comment on or make changes to this bug.